#
# spec file for package perl-SOAP-WSDL
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-SOAP-WSDL
Version:        3.003
Release:        2.1
%define cpan_name SOAP-WSDL
Summary:        SOAP with WSDL support
License:        This file is part of SOAP-WSDL. You may distribute/modify it under the same terms as perl itself
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/SOAP-WSDL/
Source0:        http://www.cpan.org/authors/id/S/SW/SWALTERS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Load) >= 0.2
BuildRequires:  perl(Class::Std::Fast) >= 0.000005
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(Date::Parse)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Template) >= 2.18
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(URI)
BuildRequires:  perl(XML::Parser::Expat)
Requires:       perl(Class::Load) >= 0.2
Requires:       perl(Class::Std::Fast) >= 0.000005
Requires:       perl(Date::Format)
Requires:       perl(Date::Parse)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Module::Build)
Requires:       perl(Template) >= 2.18
Requires:       perl(Term::ReadKey)
Requires:       perl(URI)
Requires:       perl(XML::Parser::Expat)
%{perl_requires}

%description
For creating Perl classes instrumenting a web service with a WSDL
definition, read the SOAP::WSDL::Manual manpage.

For using an interpreting (thus slow and somewhat troublesome) WSDL based
SOAP client, which mimics SOAP::Lite's API, read on.

Creating Interface classes is the recommended usage.

Did I say you should create interface classes following the steps in the
SOAP::WSDL::Manual manpage?

If you're migrating from earlier versions of SOAP::WSDL, you should read
the MIGRATING documentation.

The stuff below is for users of the 1.2x SOAP::WSDL series. All others,
please refer to the SOAP::WSDL::Manual manpage

SOAP::WSDL provides easy access to Web Services with WSDL descriptions.

The WSDL is parsed and stored in memory.

Your data is serialized according to the rules in the WSDL.

The only transport mechanisms currently supported are http and https.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes example HACKING LICENSE MIGRATING README TEST_COVERAGE TODO

%changelog
